> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Comment

> Create a new comment



## OpenAPI

````yaml post /comment
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /comment:
    post:
      tags:
        - Comment
      summary: Create Comment
      description: Create a new comment
      parameters:
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: Comment ID
                  format: uuid
                  default: random uuid
                created_at:
                  type: string
                  description: Comment creation date
                  format: timestamp with time zone
                  default: now()
                organisation_id:
                  type: string
                  description: Organisation ID
                  format: uuid
                updated_at:
                  type: string
                  description: Latest update
                  format: timestamp with time zone
                  default: now()
                conversation_id:
                  type: string
                  description: Conversation ID
                  format: uuid
                message_id:
                  type: string
                  description: Message ID
                  format: uuid
                  nullable: true
                author_id:
                  type: string
                  description: Author ID
                  format: uuid
                  nullable: true
                content:
                  type: object
                  description: Content of comment
                  format: jsonb
                  nullable: true
                text:
                  format: text
                  type: string
                  description: Text content for the comment. Can be plain text or HTML.
        description: comment
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/comment'
          description: The updated Comment object
        '201':
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/comment'
                    title: Comment
                  - title: Empty
                    type: object
                    properties: {}
          description: The Comment was created
        '204':
          content: {}
          description: No Content
components:
  schemas:
    comment:
      type: object
      properties:
        id:
          type: string
          description: Comment ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Comment creation date
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        conversation_id:
          type: string
          description: Conversation ID
          format: uuid
        message_id:
          type: string
          description: Message ID
          format: uuid
          nullable: true
        author_id:
          type: string
          description: Author ID
          format: uuid
          nullable: true
        content:
          type: object
          description: Content of comment
          format: jsonb
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````